PMC_SET(3)

NAME
pmc_set - set the reload count of a sampling PMC

LIBRARY
libpmc

SYNOPSIS
#include <pmc.h>
int
pmc_set(pmc_id_t pmc, pmc_value_t value);

DESCRIPTION
Function pmc_set() is used to set the reload value of sampling PMCs. Argument pmc specified the handle a previously allocate sampling mode PMC. Argument value specifies the reload count.

Sampling PMCs will interrupt the CPU after the number of hardware events specified by the reload count are seen. After the sampling interrupt is processed the underlying hardware will be reloaded with the specified count and the hardware automatically restarted by hwpmc(4).

Function pmc_set() should be called on PMC in a quiescent state.

RETURN VALUES

ERRORS
A call to pmc_set() may fail with the following errors:

[EINVAL]
    The current process did not own a PMC with the specified handle.

[EBUSY]
    The specified PMC was already running.

SEE ALSO
pmc(3), hwpmc(4)